gnutls_openpgp_privkey_export2(3)

NAME
gnutls_openpgp_privkey_export2 - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_export2(gnutls_openpgp_privkey_t key, gnutls_openpgp_crt_fmt_t format, const char * password, unsigned int flags, gnutls_datum_t * out);

ARGUMENTS

gnutls_openpgp_privkey_t key
    Holds the key.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_crt_fmt_t elements.

const char * password
    the password that will be used to encrypt the key. (unused for now)

unsigned int flags
    (0) for future compatibility

gnutls_datum_t * out
    will contain the raw or based64 encoded key

DESCRIPTION
This function will convert the given key to RAW or Base64 format. The output buffer is allocated using gnutls_malloc().

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/